# Generated by Django 4.0.7 on 2022-08-26 13:17

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0024_mainhomepage_max_items_alter_mainhomepage_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainhomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="before_name",
            field=models.CharField(
                blank=True, max_length=32, null=True, verbose_name="Tituly před jménem"
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="twitter_username",
            field=models.CharField(
                blank=True,
                help_text="Uživatelské jméno zadejte bez @ na začátku",
                max_length=32,
                null=True,
                verbose_name="Uživatelské jméno twitter pro získání příspěvků",
            ),
        ),
    ]
